package dev.micle.xptools.operation;

import javax.annotation.Nullable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class OperationCache {
    private static HashMap<String, List<OperationItem>> blockBreakCache;
    private static HashMap<String, List<OperationItem>> entityKillCache;

    public static void clearBlockBreakCache() {
        blockBreakCache = new HashMap<>();
    }

    public static void clearEntityKillCache() {
        entityKillCache = new HashMap<>();
    }

    public static @Nullable List<OperationItem> getBlockBreakCacheEntry(String key) {
        if (blockBreakCache.containsKey(key)) {
            return new ArrayList<>(blockBreakCache.get(key));
        }
        return null;
    }

    public static @Nullable List<OperationItem> getEntityKillCacheEntry(String key) {
        if (entityKillCache.containsKey(key)) {
            return new ArrayList<>(entityKillCache.get(key));
        }
        return null;
    }

    public static void addBlockBreakCacheEntry(String key, List<OperationItem> value) {
        blockBreakCache.putIfAbsent(key, new ArrayList<>(value));
    }

    public static void addEntityKillCacheEntry(String key, List<OperationItem> value) {
        entityKillCache.putIfAbsent(key, new ArrayList<>(value));
    }
}
